Package org.eclipse.net4j.channel

# Class ChannelInputStream

java.lang.Object
java.io.InputStream
org.eclipse.net4j.buffer.BufferInputStream
org.eclipse.net4j.channel.ChannelInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `IBufferHandler`

public class ChannelInputStream extends BufferInputStream
An `input stream` that provides the `buffers` which arrive at a `channel` as a continuous byte sequence.

Author:
  Eike Stepper

## Field Summary

### Fields inherited from class org.eclipse.net4j.buffer.BufferInputStream

`DEFAULT_MILLIS_BEFORE_TIMEOUT, DEFAULT_MILLIS_INTERRUPT_CHECK, NO_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`ChannelInputStream(IChannel channel)`
`ChannelInputStream(IChannel channel, long millisBeforeTimeout)`

## Method Summary

Modifier and Type
Method
Description
`IChannel`
`getChannel()`
`long`
`getMillisBeforeTimeout()`
`long`
`getMillisInterruptCheck()`
`int`
`read()`
`void`
`setMillisBeforeTimeout(long millisBeforeTimeout)`
`void`
`setMillisInterruptCheck(long millisInterruptCheck)`
`String`
`toString()`

### Methods inherited from class org.eclipse.net4j.buffer.BufferInputStream

`close, closeChannel, ensureBuffer, getException, handleBuffer, isCCAM, read, restartTimeout, setException`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChannelInputStream

public ChannelInputStream(IChannel channel)

### ChannelInputStream

public ChannelInputStream(IChannel channel, long millisBeforeTimeout)

## Method Details

### getChannel

public IChannel getChannel()

### getMillisBeforeTimeout

public long getMillisBeforeTimeout()

Overrides:
  `getMillisBeforeTimeout` in class `BufferInputStream`

### setMillisBeforeTimeout

public void setMillisBeforeTimeout(long millisBeforeTimeout)

### getMillisInterruptCheck

public long getMillisInterruptCheck()

Overrides:
  `getMillisInterruptCheck` in class `BufferInputStream`

### setMillisInterruptCheck

public void setMillisInterruptCheck(long millisInterruptCheck)

### read

public int read() throws IOException

Overrides:
  `read` in class `BufferInputStream`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `BufferInputStream`